<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once "./includes/isgwtelnet.php";
require_once "./includes/Helper/HelperPstn.php";

$group='"general"';
$query_comp=$ba->select("SELECT * FROM analog");
while ($entry = $ba->fetch_array($query_comp)) {
    if ($entry['gr']!=$_GET['gr'])
	$group.=','.'"'.$entry['gr'].'"';
}

?>


<script type="text/javascript">
    $("#analog").validate({
                    
        rules: {
                        
            group: {
                required : true ,
                specChar: true,
                checkBlank: true,
                compareName: [<?php echo $group; ?>]
            },
            clip : {
                required : function(element) {
                             return "FXO" == "<?php echo $_GET['opt']; ?>";
                           }
            },
            'ports[]' : {
                atLeastOnePort :true,
            }
        }
    }); 
                
    function ovelapdial_show(val){
        if (val) {
            document.getElementById("odt_empty_dad_tr").style.display="none";
            document.getElementById("odt_tr").style.display="none";
        }else{
            document.getElementById("odt_tr").style.display="";
            document.getElementById("odt_empty_dad_tr").style.display="";
        }
    }
                
    function hidec(){
        var configt=document.getElementById('configt');
        configt.style.display="none";
    }
    function show_config(){
        var configt=document.getElementById('configt');
        if (configt.style.display=="none"){
            configt.style.display="";
        }else{
            configt.style.display="none";
        }
    }
                
</script>
<?php


function fxo_call_ending_signal($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_call_ending_signal from analog where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            $ret = "<fieldset>";
            $res = explode(",", $entry['fxo_call_ending_signal']);
            if (in_array("unobtainable", $res))
                $ret.=PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]' checked><br>";
            else
                $ret.=PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]'><br>";
            if (in_array("busy", $res))
                $ret.=PSTN_BUSY_TONE_DIS . "<span style='margin-left:42px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]' checked></span>";
            else
                $ret.=PSTN_BUSY_TONE_DIS . "<span style='margin-left:42px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]'></span>";
            $ret.="</fieldset>";
        }
        return $ret;
    }else {
        return "<fieldset>" . PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]' checked><br>" . PSTN_BUSY_TONE_DIS .
                "<span style='margin-left:42px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]'></span></fieldset>";
    }
}

$config_values = array("from_pstn_src_setting", "analog_display_setting", "analog_oad_setting", "clir_on_oad", "ec", "ectl",);

echo ("<form class='extensions_form' name='analog' id='analog' action='modules/Analog/analog_submit.php?opt=" . $_GET['opt'] . "' method='POST'>
			<table class='contenttoc'>
			<tr>
			<td><b>" . PSTN_NAME_DIS . ":</b>&nbsp;</td>
			<td>&nbsp;<input type='text' name='group' value='" . $_GET['gr'] . "' onmouseover=\"Tip('" . ANALOG_GROUP_NAME . "');\" onmouseout='UnTip();'></td>
			</tr>
			<tr>
			<td valign='top' style='padding-top:5px;'><b>" . PSTN_PORTS_DIS . ":</b>&nbsp;</td>
			<td style='width:170px !important;'>
                            <div style='float:left;'>
                                <div>".HelperPstn::title($ba, $_GET['gr'],0)."</div>
                                <div>".HelperPstn::ports($ba, $_GET['gr'],0,'analog')."</div>
                            </div>
                            <div style='float:right;'>
                                <div>".HelperPstn::title($ba, $_GET['gr'],1)."</div>
                                <div>".HelperPstn::ports($ba, $_GET['gr'],1,'analog')."</div>
                            </div>
                            <div class='clear'/>
			</td>
			</tr>
			<tr id='odt_empty_dad_tr'>
			<td><b>" . PSTN_OVERLAPDIAL_TIMEOUT_EMPTY_DAD_DIS . ":</b></td>
                        <td>" . HelperPstn::textfield($ba, $_GET['gr'],'overlap_dial_timeout_empty_dad','analog','15') . "</td>
			</tr>
			<tr id='odt_tr'>
			<td><b>" . PSTN_ODT_DIS . ":</b></td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'overlap_dial_timeout','analog','3'). "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_OVERLAPDIALING . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_OVERLAP_DIALING_DIS . ":</b></td>
			<td>" . HelperPstn::checkbox($ba, $_GET['gr'],'overlap_dialing','analog',"onchange='ovelapdial_show(this.checked)'") . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_TONES_DIS . ":</b></td>
			<td>" . HelperPstn::tones($ba, $_GET['gr'],'analog') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ANALOG_CLIP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CLIP_DIS . ":</b></td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'clip','analog') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ANALOG_CNIP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CNIP_DIS . ":</b></td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'cnip','analog') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . PSTN_CHANSEL . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CHANSEL_DIS . ":</b></td><td>" . HelperPstn::dropdown($ba, $_GET['gr'],'chansel','analog',array('standard'=>'standard','random'=>'random','roundrobin'=>'roundrobin')) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_CHANSEL_DIR_DIS . ":</b></td><td>" . HelperPstn::dropdown($ba, $_GET['gr'],'chansel_dir','analog',array('ascending'=>'ascending','descending'=>'descending')) . "</td>
			</tr>");
if ($_GET['opt'] == "FXO") {
    echo "<tr>
			<td><b>" . PSTN_CONNECT_DIS . ":</b></td>
			<td>" . HelperPstn::dropdown($ba, $_GET['gr'],'fxo_connect','analog',array('instant'=>'instant','polarity'=>'polarity')) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_WAIT_FOR_OAD_DIS . ":</b></td>
			<td>" . HelperPstn::dropdown($ba, $_GET['gr'],'fxo_wait_for_oad','analog',array('wait'=>'wait','dontwait'=>'dontwait')) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_DIALTONE_PASSTHROUGH_DIS . ":</b></td>
			<td>" . HelperPstn::checkbox($ba, $_GET['gr'],'fxo_dialtone_passthrough','analog') . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_ANALOG_CALL_ENDING_SIGNAL_DIS . ":</b></td>
			<td>" . fxo_call_ending_signal($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_ANALOG_CID_DETECTION_MODE_DIS . ":</b></td>
			<td>" . HelperPstn::dropdown($ba, $_GET['gr'],'fxo_cid_detection_mode','analog',array('Bellcore'=>'Bellcore','ETSI-DTMF'=>'ETSI-DTMF','ETSI-DTMF-AR'=>'ETSI-DTMF-AFTER-RINGING')) . "</td>
			</tr>";
}
if ($_GET['opt'] == "FXS") {
    echo "<tr>
			<td><b>" . PSTN_MWI_DIS . ":</b></td>
			<td>" . HelperPstn::dropdown($ba, $_GET['gr'],'message_waiting_method','analog',array('stutter'=>'stutter','fsk'=>'fsk','off'=>'off')) . "</td>
			</tr>";
    
}
echo ("<tr>
			<td align='center' colspan='2'><a href='#' onclick='show_config();'>" . PSTN_MORE_DIS . "...</a></td>
			</tr>
			</table>
			<br/>
			<table class='contenttoc' id='configt'><tr><td colspan='2' align='center'><b>" . DIALPLAN_CONFIGURATION_DIS . "</b></td></tr>
					<tr onmouseover=\"Tip('" . EC . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_EC_DIS . "</b></td>
		    			<td>" . ec('analog') . "</td>
					</tr>
				<tr onmouseover=\"Tip('" . EC_TAIL . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_EC_TAIL_LENGTH_DIS . "</b></td>
						<td>" . ec_tail('analog') . "</td>
					</tr>
				<tr id='clir_on_oad_tr'>
						<td><b>" . DIALPLAN_CLIR_ON_CLIP_DIS . "</b></td>
		    			<td>" . clir_on_oad('analog') . "</td>
					</tr>");
if ($_GET['opt'] != "FXS")
    echo "<tr onmouseover=\"Tip('" . FROM_PSTN_SRC_SETTING . "')\" onmouseout='UnTip()' id='pstn_src_setting_tr'>
					<td><b>" . DIALPLAN_FROM_PSTN_SRC_SETTING_DIS . "</b></td>
					<td>" . from_pstn_src_setting('analog') . "</td>
				</tr>";
echo ("<tr>
					<td colspan='2'>&nbsp;</td>
				</tr>");
if ($_GET['opt'] != "FXO")
    echo "<tr>
					<th colspan='2'>" . DIALPLAN_CALLER_ID_MAPPING_DIS . "</th>
				</tr>
				<tr id='analog_oad_setting_tr'>
					<td><b>" . DIALPLAN_ANALOG_CLIP_SETTING_DIS . "</b></td>
					<td>" . caller_id_mapping_pstn('analog_oad_setting', 'analog') . "</td>
				</tr>
				<tr id='analog_display_setting_tr'>
					<td><b>" . DIALPLAN_ANALOG_CNIP_SETTING_DIS . "</b></td>
					<td>" . caller_id_mapping_pstn('analog_display_setting', 'analog') . "</td>
				</tr>";
echo ("<tr>
					<td colspan='2'>&nbsp;</td>
				</tr>
				<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><b>" . DIALPLAN_ADDITIONAL_CONFIG_DIS . "</b></td>
					</tr>
					<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><textarea name='addit_options' id='addit_options' rows='4' style='width:305px;'></textarea></td>
					</tr>
					<tr>
						<td colspan='2'>
						<br>
						<b>" . DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS . "</b>
						</td>
					</tr>
					<tr>
						<td colspan='2'>
						<p id='extra_tooltip' style='height: 150px; text-align:left; width:305px; overflow: auto; border: 1px solid #A31D26; background: none repeat scroll 0% 0% rgb(238, 238, 238); color: rgb(0, 0, 0);'>
						</td>
					</tr>
			</table>");
if (isset($_GET['gr'])) {
    HelperPstn::showdefmc($config_values,'a','analog');
} else {
    HelperPstn::show_confadd($config_values,'a');
}
echo ("<br/>
			<input type='hidden' name='gr_upd' value='" . $_GET['gr'] . "'>
			<div class='center'><input name='submit' type='submit' value='" . BUTTON_SAVE . "' onmouseover=\"Tip('" . ANALOG_SAVE . "');\" onmouseout='UnTip();'>
			 &nbsp;&nbsp;<input name='close' type='button' value='" . BUTTON_CLOSE . "' onclick='javascript:$(\"#dialog\").dialog(\"close\");' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "');\" onmouseout='UnTip();'>
			</div></form>");


?>


