<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once "./includes/isgwtelnet.php";
require_once "./includes/Helper/HelperPstn.php";

$group = '"general"';
$query_comp = $ba->select("SELECT * FROM isdn");
while ($entry = $ba->fetch_array($query_comp)) {
    if ($entry['gr'] != $_GET['gr'])
        $group.=',' . '"' . $entry['gr'] . '"';
}
?>


<script type="text/javascript">
    $("#isdn").validate({
        rules: {
            group: {
                required: true,
                specChar: true,
                checkBlank: true,
                compareName: [<?php echo $group; ?>]
            },
            country_code: {
                required: function(element) {
                    return $("#isdn_oad_setting").prop("selectedIndex") == 1;
                },
                checkPhoneNumber: true
            },
            local_area_code: {
                digits: true
            },
            city_code: {
                required: function(element) {
                    return $("#isdn_oad_setting").prop("selectedIndex") == 1;
                },
                digits: true
            },
            'ports[]': {
                atLeastOnePort: true,
            }
        }
    });

    function ovelapdial_show(val) {
        if (val) {
            $("#odt_empty_dad_tr").hide();
            $("#odt_tr").hide();
        } else {
            $("#odt_empty_dad_tr").show();
            $("#odt_tr").show();
        }
    }

    function hidec() {
        $('#config_isdn').hide();
    }
    function show_config_isdn() {
        $('#config_isdn').toggle();
    }

</script>

<?php

$config_values = array("ec", "ectl", "dton", "isdn_oad_setting", "from_pstn_src_setting",
    "oton", "screen", "pres", "isdn_oad2_setting", "clir_on_oad",
    "bearer_cap", "cd", "isdn_qsigname_setting", "isdn_redirected_nr_setting");


echo ("<form class='extensions_form' name='isdn' id='isdn' action='modules/Isdn/isdn_submit.php?opt=" . $_GET['opt'] . "' method='POST' >
			<table class='contenttoc'>
			<tr>
			<td><b>" . PSTN_NAME_DIS . ":</b>&nbsp;</td>
			<td>&nbsp;<input type='text' name='group' id='group' value='" . $_GET['gr'] . "' onmouseover=\"Tip('" . ISDN_GROUP_NAME . "');\" onmouseout='UnTip();'></td>
			</tr>
			<tr>
			<td  style='padding-top:5px;'><b>" . PSTN_PORTS_DIS . ":</b>&nbsp;</td>
			<td style='width:170px !important;'>
                            <div class='left'>
                                <div>" . HelperPstn::title($ba, $_GET['gr'],0) . "</div>
                                <div>" . HelperPstn::ports($ba, $_GET['gr'],0,"isdn") . "</div>
                            </div>
                            <div class='right'>
                                <div>" . HelperPstn::title($ba, $_GET['gr'],1) . "</div>
                                <div>" . HelperPstn::ports($ba, $_GET['gr'],1,"isdn") . "</div>
                            </div>
                            <div class='clear'/>
			</td>
			</tr>
			<tr onmouseover=\"Tip('" . PSTN_CHANSEL . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CHANSEL_DIS . ":</b></td>
                        <td>" . HelperPstn::dropdown($ba, $_GET['gr'],'chansel','isdn',array('standard'=>'standard','random'=>'random','roundrobin'=>'roundrobin')) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_CHANSEL_DIR_DIS . ":</b></td>
                        <td>" . HelperPstn::dropdown($ba, $_GET['gr'],'chansel_dir','isdn',array('ascending'=>'ascending','descending'=>'descending')) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_TONES . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_TONES_DIS . ":</b></td>
			<td>" . HelperPstn::tones($ba, $_GET['gr'],'isdn') . "</td>
			</tr>
			<tr id='odt_tr' onmouseover=\"Tip('" . ISDN_ODT . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_ODT_DIS . ":</b></td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'odt','isdn','3') . "</td>
			</tr>
			<tr id='odt_empty_dad_tr' onmouseover=\"Tip('" . ISDN_ODT_EMPTY_DAD . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_OVERLAPDIAL_TIMEOUT_EMPTY_DAD_DIS . ":</b></td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'odt_empty_dad','isdn','15') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_OVERLAPDIALING . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_OVERLAP_DIALING_DIS . ":</b></td>
			<td>" . HelperPstn::checkbox($ba, $_GET['gr'],'overlap_dialing','isdn',"onchange='ovelapdial_show(this.checked)'") . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_QSIG . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_QSIG_SUPPORT_DIS . ":</b></td>
			<td>" . HelperPstn::checkbox($ba, $_GET['gr'],'qsig','isdn') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_PORTPULLUP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_PORTPULLUP_DIS . ":</b></td>
			<td>" . HelperPstn::dropdown($ba, $_GET['gr'],'portpullup','isdn',array('0'=>'Nothing','1'=>'Pull Link Up (2s)','2'=>'Pull Link Up (once)')) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_COUNTRY_CODE . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_COUNTRY_CODE_DIS . ":</b>&nbsp;</td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'country_code','isdn') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_CITY_CODE . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CITY_CODE_DIS . ":</b>&nbsp;</td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'city_code','isdn') . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_LOCAL_AREA_CODE . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_LOCAL_AREA_CODE_DIS . ":</b>&nbsp;</td>
			<td>" . HelperPstn::textfield($ba, $_GET['gr'],'local_area_code','isdn') . "</td>
			</tr>
                        <tr>
			<td><b>" . PSTN_PCMLAW_DIS . ":</b></td>
			<td>" . HelperPstn::dropdown($ba, $_GET['gr'],'pcmlaw','isdn',array('default'=>'default','allaw'=>'allaw','ulaw'=>'ulaw')) . "</td>
			</tr>
			<tr>
			<td align='center' colspan='2'><a href='#' onclick='show_config_isdn();'>" . PSTN_MORE_DIS . "...</a></td>
			</tr>

			</table>
			<br/>
                                <table border='0' id='config_isdn' class='contenttoc'>
					<tr><td colspan='2' align='center'><b>" . DIALPLAN_CONFIGURATION_DIS . "</b></td></tr>
					<tr onmouseover=\"Tip('" . EC . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_EC_DIS . "</b></td>
		    			<td>" . ec() . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . EC_TAIL . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_EC_TAIL_LENGTH_DIS . "</b></td>
						<td>" . ec_tail() . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . DTON . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_DTON_DIS . "</b></td>
						<td>" . tons('dton') . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . OTON . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_OTON_DIS . "</b></td>
						<td>" . tons('oton') . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . SCREENING . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_SCREENING_DIS . "</b></td>
		    			<td>" . screen() . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . PRES . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_PRESENTATION_DIS . "</b></td>
		    			<td>" . pres() . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . BEARER . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_BEARER_DIS . "</b></td>
		    			<td>" . bearer_cap() . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . CD . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_CALL_DEFLECTION_DIS . "</b></td>
		    			<td>" . cd() . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . CLIR_ON_OAD . "')\" onmouseout='UnTip()' id='clir_on_oad_tr'>
						<td><b>" . DIALPLAN_CLIR_ON_OAD_DIS . "</b></td>
		    			<td>" . clir_on_oad('isdn') . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . FROM_PSTN_SRC_SETTING . "')\" onmouseout='UnTip()' id='pstn_src_setting_tr'>
						<td><b>" . DIALPLAN_FROM_PSTN_SRC_SETTING_DIS . "</b></td>
						<td>" . from_pstn_src_setting('isdn') . "</td>
					</tr>
					<tr>
						<td colspan='2'>&nbsp;</td>
					</tr>
					<tr>
						<th colspan='2'>" . DIALPLAN_CALLER_ID_MAPPING_DIS . "</th>
					</tr>
					<tr onmouseover=\"Tip('" . ISDN_OAD_SETTING . "')\" onmouseout='UnTip()' id='isdn_oad_setting_tr'>
						<td><b>" . DIALPLAN_ISDN_OAD_SETTING_DIS . "</b></td>
						<td>" . caller_id_mapping_pstn('isdn_oad_setting') . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . ISDN_OAD2_SETTING . "')\" onmouseout='UnTip()' id='isdn_oad2_setting_tr'>
						<td><b>" . DIALPLAN_ISDN_OAD2_SETTING_DIS . "</b></td>
						<td>" . caller_id_mapping_pstn('isdn_oad2_setting') . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . ISDN_QSIGNAME_SETTING . "')\" onmouseout='UnTip()' id='isdn_qsigname_setting_tr'>
						<td><b>" . DIALPLAN_ISDN_QSIGNAME_SETTING_DIS . "</b></td>
						<td>" . caller_id_mapping_pstn('isdn_qsigname_setting') . "</td>
					</tr>
					<tr onmouseover=\"Tip('" . ISDN_REDIRECTED_NR_SETTING . "')\" onmouseout='UnTip()' id='isdn_redirected_nr_setting_tr'>
						<td><b>" . DIALPLAN_ISDN_REDIRECTED_NR_SETTING_DIS . "</b></td>
						<td>" . caller_id_mapping_pstn('isdn_redirected_nr_setting') . "</td>
					</tr>
					<tr>
						<td colspan='2'>&nbsp;</td>
					</tr>
						<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><b>" . DIALPLAN_ADDITIONAL_CONFIG_DIS . "</b></td>
					</tr>
					<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><textarea name='addit_options' id='addit_options' rows='4' style='width:305px;'></textarea></td>
					</tr>
					<tr>
						<td colspan='2'>
						<br>
						<b>" . DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS . "</b>
						</td>
					</tr>
					<tr>
						<td colspan='2'>
						<p id='extra_tooltip' style='height: 150px; text-align:left; width:305px; overflow: auto; border: 1px solid #A31D26; background: none repeat scroll 0% 0% rgb(238, 238, 238); color: rgb(0, 0, 0);'>
						</td>
					</tr>
				</table>");
if (isset($_GET['gr'])) {
    HelperPstn::showdefmc($config_values,'i','isdn');
} else {
    HelperPstn::show_confadd($config_values,'i');
}
echo ("<br/>
			<input type='hidden' name='gr_upd' value='" . $_GET['gr'] . "'>
			<div class='center'>
			<input name='submit' type='submit' value='" . BUTTON_SAVE . "' onmouseover=\"Tip('" . ISDN_SAVE . "');\" onmouseout='UnTip();'>
			 &nbsp;&nbsp;<input name='close' type='button' value='" . BUTTON_CLOSE . "' onclick='javascript:$(\"#dialog\").dialog(\"close\");' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "');\" onmouseout='UnTip();'>
			</div>
			</form>");
?>


